<?php

namespace App\ReportsData\EntityList;

class ImportedServices extends GeneralAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTRd_importedOrderServices, $DBTRd_importedOrders;
		$this->setMainTable($DBTRd_importedOrderServices, 'importedService');
		$this->addAllowedTable($DBTRd_importedOrders, 'importedOrder', 'importedService.idImportedOrder=importedOrder.id', 'INNER');
	}

	public function setDefaultFilters(): void
	{
	}

}

